<h1>Author dashboard</h1>

<div class="container text-center">
  <p>My Requests for Review</p>

  <table *ngIf="editor_reviews" class="table table-striped table-hover">
    <thead>
    <tr>
      <th scope="col">#</th>
      <th scope="col">id</th>
      <th scope="col"> date </th>
      <th scope="col">editor</th>
      <th scope="col">author</th>
      <th scope="col">publication</th>
      <th scope="col">status</th>
    </tr>
    </thead>
    <tbody>
    <tr *ngFor="let review of editor_reviews; index as i" (click)="router.navigate(['/author-review', review.id])">
      <th scope="row">{{i + 1}}</th>
      <td> <a [routerLink]="['/author-review', review.id]">{{review.id}}</a> </td>
      <td> {{review.modified | date:'medium'}}</td>
      <td>{{ review.user?.username }}</td>
      <td>{{ review.publication['artefact'].object.user.username }}</td>
      <td>{{review.publication['artefact'].object.name}} ({{ review.publication['id'] }})</td>
      <td>{{getStatusKey(review)}}</td>
    </tr>
    </tbody>
  </table>
</div>
